package com.qs.mp.admin.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.admin.domain.CdKey;
import com.qs.mp.admin.domain.CdKeyGroup;
import com.qs.mp.admin.domain.vo.CdKeyExchangeVO;
import com.qs.mp.admin.domain.vo.CdKeyGroupListVO;
import com.qs.mp.admin.mapper.CdKeyMapper;
import com.qs.mp.admin.service.ICdKeyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @auther quanshu
 * @create 2023-05-16 17:20:42
 * @describe 兑换码服务实现类
 */
@Service
public class CdKeyServiceImpl extends ServiceImpl<CdKeyMapper, CdKey> implements ICdKeyService {

    @Override
    public List<CdKeyGroupListVO> listCdKeyVO(QueryWrapper<CdKeyGroup> queryWrapper) {
        return getBaseMapper().listCdKeyVO(queryWrapper);
    }

    @Override
    public CdKeyExchangeVO listCdKeyExchangeVO(QueryWrapper<CdKey> queryWrapper) {
        return getBaseMapper().listCdKeyExchangeVO(queryWrapper);
    }
}
