package com.qs.mp.admin.service;

import com.qs.mp.admin.domain.CdKeyGroup;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.admin.domain.param.CdKeyCreateParam;

/**
 * @auther quanshu
 * @create 2023-05-16 17:19:30
 * @describe 兑换码组服务类
 */
public interface ICdKeyGroupService extends IService<CdKeyGroup> {


    /**
     * 生成兑换码组
     * @param param
     * @return
     */
    String createCdKeyGroup(CdKeyCreateParam param);

    /**
     * 生成兑换码
     * @param groupId
     */
    void generateCdKey(String groupId);
}
